Closed Bug 361189 Opened 17 years ago Closed 14 years ago

Firefox crashes whenever I try to open the Bookmarks Menu [@ nsObjCExceptionLogAbort | nsMenuItemIconX::OnStopFrame]

Categories

(Core :: Graphics: ImageLib, defect)

All
macOS
defect
Not set
critical

Tracking

()

RESOLVED FIXED
Tracking Status
status1.9.1 --- .3-fixed

People

(Reporter: billsey, Unassigned)

References

Details

(Keywords: crash, topcrash, verified1.9.1, Whiteboard: [needs info from victims])

Crash Data

User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/312.8 (KHTML, like Gecko) Safari/312.6
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8.1) Gecko/20061010 Firefox/2.0

I do have the Bookmarks window showing at left, and there are a LOT of items in it, so it might be full. These items are from the previous versions of Firefox. I have not added any under 2.0, though I did move a few into the Personal Toolbar Folder.

In any case, whenever I try to open the Bookmarks Menu, from the moment I click on it, I first get the spinning beachball for a couple of seconds, then Firefox goes away with no warning at all (also requiring a relaunch of the finder, by the way, because the Dock no longer functions).

On the next launch of Firefox a dailog comes up asking if I want the previous session restored or if I want to start a new session. Results are not effected by the option that I choose here.

Reproducible: Always

Steps to Reproduce:
1. Launch Firefox
2. Try to open Bookmarks Menu.

Actual Results:  
Firefox crashes.

Expected Results:  
Bookmark Menu should open.

Apple Crash log follows:

Date/Time:      2006-11-19 06:51:57 -0600
OS Version:     10.3.9 (Build 7W98)
Report Version: 2

Command: firefox-bin
Path:    /Volumes/Apps/Internet/Firefox.app/Contents/MacOS/firefox-bin
Version: 2.0 (2.0)
PID:     1127
Thread:  0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000024

Thread 0 Crashed:
0   com.apple.CoreGraphics 	0x93783a24 CGImageGetAlphaInfo + 0
1   org.mozilla.firefox    	0x0029078c _ZN15imgRequestProxy11OnStopFrameEP14gfxIImageFrame + 0x54
2   org.mozilla.firefox    	0x0060a73c _ZN10imgRequest19NotifyProxyListenerEP15imgRequestProxy + 0x180
3   org.mozilla.firefox    	0x00292458 _ZN9imgLoader9LoadImageEP6nsIURIS1_S1_P12nsILoadGroupP19imgIDecoderObserverP11nsISupportsjS7_P11imgIRequestPS9_ + 0x764
4   org.mozilla.firefox    	0x00617f80 _ZN14nsMenuItemIcon8LoadIconEP6nsIURI + 0x308
5   org.mozilla.firefox    	0x00617730 _ZN14nsMenuItemIcon9SetupIconEv + 0xc8
6   org.mozilla.firefox    	0x002a706c _ZN7nsMenuX12LoadMenuItemEP7nsIMenuP10nsIContent + 0x90c
7   org.mozilla.firefox    	0x002a61b0 _ZN7nsMenuX13MenuConstructERK11nsMenuEventP9nsIWidgetPvS5_ + 0xdc
8   org.mozilla.firefox    	0x002a5f74 _ZN7nsMenuX12MenuSelectedERK11nsMenuEvent + 0x138
9   org.mozilla.firefox    	0x002a6630 _ZN7nsMenuX14GetMenuContentEPP10nsIContent + 0x2d0
10  com.apple.HIToolbox    	0x92882e50 DispatchEventToHandlers + 0x150
11  com.apple.HIToolbox    	0x928830c4 SendEventToEventTargetInternal + 0x174
12  com.apple.HIToolbox    	0x92887544 SendEventToEventTargetWithOptions + 0x28
13  com.apple.HIToolbox    	0x928dccd4 _Z15SendMenuOpeningP14MenuSelectDataP8MenuDatadmP14__CFDictionaryhPh + 0x21c
14  com.apple.HIToolbox    	0x928fc9c8 _Z11DrawTheMenuP14MenuSelectDataPP9__CFArrayPh + 0xac
15  com.apple.HIToolbox    	0x9295a1c4 _Z11MenuChangedP14MenuSelectData + 0x10c
16  com.apple.HIToolbox    	0x928c9130 _Z15TrackMenuCommonR14MenuSelectDataPh + 0x21c
17  com.apple.HIToolbox    	0x9290e590 _Z14MenuSelectCore5PointdmPP13OpaqueMenuRefPt + 0xb0
18  com.apple.HIToolbox    	0x92934a50 MenuSelect + 0x60
19  com.apple.HIToolbox    	0x929c42f4 _Z16HandleMouseEventP14OpaqueEventRef + 0x54
20  com.apple.HIToolbox    	0x9297da78 _Z27StandardMenuBarEventHandlerP25OpaqueEventHandlerCallRefP14OpaqueEventRefPv + 0x38
21  com.apple.HIToolbox    	0x92882e50 DispatchEventToHandlers + 0x150
22  com.apple.HIToolbox    	0x928830c4 SendEventToEventTargetInternal + 0x174
23  com.apple.HIToolbox    	0x92895530 SendEventToEventTarget + 0x28
24  com.apple.HIToolbox    	0x92899604 _Z16HandleMouseEventP14OpaqueEventRef + 0x184
25  com.apple.HIToolbox    	0x92893ad0 _Z29ToolboxEventDispatcherHandlerP25OpaqueEventHandlerCallRefP14OpaqueEventRefPv + 0x1e8
26  com.apple.HIToolbox    	0x92882f0c DispatchEventToHandlers + 0x20c
27  com.apple.HIToolbox    	0x928830c4 SendEventToEventTargetInternal + 0x174
28  com.apple.HIToolbox    	0x92895530 SendEventToEventTarget + 0x28
29  com.apple.HIToolbox    	0x9289944c ToolboxEventDispatcher + 0x5c
30  com.apple.HIToolbox    	0x928b677c HLTBEventDispatcher + 0x10
31  com.apple.HIToolbox    	0x928ac618 RunApplicationEventLoop + 0x98
32  org.mozilla.firefox    	0x00293cd0 _ZN10nsAppShell3RunEv + 0x40
33  org.mozilla.firefox    	0x00331150 _ZN12nsAppStartup3RunEv + 0x3c
34  org.mozilla.firefox    	0x000127ec XRE_main + 0x1210
35  org.mozilla.firefox    	0x0000d768 start + 0x1b0
36  org.mozilla.firefox    	0x0000d5e8 start + 0x30

Thread 1:
0   libSystem.B.dylib      	0x9000b46c select + 0xc
1   libnspr4.dylib         	0x2001f16c poll + 0x188
2   libnspr4.dylib         	0x2001b920 PR_OpenDir + 0x3b0
3   org.mozilla.firefox    	0x003bc04c _ZN24nsSocketTransportService4PollEPj + 0xa4
4   org.mozilla.firefox    	0x003bc7ec _ZN24nsSocketTransportService3RunEv + 0x1b0
5   libxpcom_core.dylib    	0x2c04a78c _ZN8nsThread4MainEPv + 0x38
6   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
7   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 2:
0   libSystem.B.dylib      	0x90018e78 semaphore_timedwait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea14 _pthread_cond_wait + 0x268
2   libnspr4.dylib         	0x20017c94 PR_Unlock + 0x12c
3   libnspr4.dylib         	0x20017ef8 PR_WaitCondVar + 0x88
4   libxpcom_core.dylib    	0x2c04d374 _ZN11TimerThread3RunEv + 0x19c
5   libxpcom_core.dylib    	0x2c04a78c _ZN8nsThread4MainEPv + 0x38
6   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
7   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 3:
0   libSystem.B.dylib      	0x90018e78 semaphore_timedwait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea14 _pthread_cond_wait + 0x268
2   libnspr4.dylib         	0x20017c94 PR_Unlock + 0x12c
3   libnspr4.dylib         	0x20017ef8 PR_WaitCondVar + 0x88
4   org.mozilla.firefox    	0x003d51fc _ZN11nsSSLThread3RunEv + 0xfc
5   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
6   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 4:
0   libSystem.B.dylib      	0x90018e78 semaphore_timedwait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea14 _pthread_cond_wait + 0x268
2   libnspr4.dylib         	0x20017c94 PR_Unlock + 0x12c
3   libnspr4.dylib         	0x20017ef8 PR_WaitCondVar + 0x88
4   org.mozilla.firefox    	0x003d1180 _ZN24nsCertVerificationThread3RunEv + 0x68
5   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
6   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 5:
0   libSystem.B.dylib      	0x90017238 semaphore_wait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea1c _pthread_cond_wait + 0x270
2   libnspr4.dylib         	0x20017ee4 PR_WaitCondVar + 0x74
3   org.mozilla.firefox    	0x005e09a8 _ZN17mozStorageService9FreeLocksEv + 0x118c
4   org.mozilla.firefox    	0x00a513c0 0x1000 + 0xa503c0
5   libxpcom_core.dylib    	0x2c04a78c _ZN8nsThread4MainEPv + 0x38
6   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
7   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 6:
0   libSystem.B.dylib      	0x90017238 semaphore_wait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea1c _pthread_cond_wait + 0x270
2   libnspr4.dylib         	0x20017ee4 PR_WaitCondVar + 0x74
3   libnspr4.dylib         	0x20018260 PR_Wait + 0x30
4   libxpcom_core.dylib    	0x2c047dc0 PL_WaitForEvent + 0x38
5   libxpcom_core.dylib    	0x2c049484 _ZN16nsEventQueueImpl12WaitForEventEPP7PLEvent + 0x38
6   org.mozilla.firefox    	0x0035b858 _ZN24nsUrlClassifierDBService8ShutdownEv + 0x218
7   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
8   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 7:
0   libSystem.B.dylib      	0x90018e78 semaphore_timedwait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea14 _pthread_cond_wait + 0x268
2   libnspr4.dylib         	0x20017c94 PR_Unlock + 0x12c
3   libnspr4.dylib         	0x20017ef8 PR_WaitCondVar + 0x88
4   org.mozilla.firefox    	0x00379510 _ZN14nsIOThreadPool10ThreadFuncEPv + 0x74
5   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
6   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

Thread 8:
0   libSystem.B.dylib      	0x90018e78 semaphore_timedwait_signal_trap + 0x8
1   libSystem.B.dylib      	0x9000ea14 _pthread_cond_wait + 0x268
2   libnspr4.dylib         	0x20017c94 PR_Unlock + 0x12c
3   libnspr4.dylib         	0x20017ef8 PR_WaitCondVar + 0x88
4   org.mozilla.firefox    	0x00379510 _ZN14nsIOThreadPool10ThreadFuncEPv + 0x74
5   libnspr4.dylib         	0x2001cdac PR_Select + 0x354
6   libSystem.B.dylib      	0x90024990 _pthread_body + 0x28

PPC Thread State:
  srr0: 0x93783a24 srr1: 0x0200f930                vrsave: 0x00000000
    cr: 0x44022222  xer: 0x20000003   lr: 0x00618380  ctr: 0x93783a24
    r0: 0x00618374   r1: 0xbfffe110   r2: 0x00000000   r3: 0x00000000
    r4: 0x00000000   r5: 0xbfffe0f0   r6: 0xbfffe2b0   r7: 0x00000000
    r8: 0x00000003   r9: 0xa01c742c  r10: 0x00000000  r11: 0x00a9e9a4
   r12: 0x93783a24  r13: 0xbfffe680  r14: 0x00000000  r15: 0x00000000
   r16: 0x00000001  r17: 0x00000000  r18: 0x05edc260  r19: 0x01bd3e90
   r20: 0x00000000  r21: 0x05edc290  r22: 0xbfffe160  r23: 0xbfffe170
   r24: 0x00000000  r25: 0xbfffe180  r26: 0xbfffe2a0  r27: 0x05edc260
   r28: 0x04ba4160  r29: 0x00000000  r30: 0x08022c00  r31: 0x00000000

Binary Images Description:
    0x1000 -   0xa7efff org.mozilla.firefox 2.0	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/firefox-bin
  0xf6a000 -   0xf78fff libmyspell.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/components/libmyspell.dylib
 0x1897000 -  0x18a0fff libqfaservices.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/extensions/talkback@mozilla.org/components/libqfaservices.dylib
 0x1a44000 -  0x1a6bfff talkback.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/extensions/talkback@mozilla.org/components/talkback/talkback.dylib
 0x1af2000 -  0x1af4fff com.apple.textencoding.unicode 1.6.4	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x1da2000 -  0x1dedfff libfreebl3.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libfreebl3.dylib
 0x4a8a000 -  0x4ab8fff libnssckbi.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libnssckbi.dylib
 0x5929000 -  0x593bfff libspellchecker.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/components/libspellchecker.dylib
0x20000000 - 0x20032fff libnspr4.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libnspr4.dylib
0x21000000 - 0x2100dfff libplds4.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libplds4.dylib
0x22000000 - 0x2200efff libplc4.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libplc4.dylib
0x23000000 - 0x23095fff libmozjs.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libmozjs.dylib
0x24000000 - 0x24000fff libxpcom.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libxpcom.dylib
0x25000000 - 0x25023fff libssl3.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libssl3.dylib
0x26000000 - 0x26061fff libnss3.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libnss3.dylib
0x27000000 - 0x2701dfff libsmime3.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libsmime3.dylib
0x28000000 - 0x28049fff libsoftokn3.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libsoftokn3.dylib
0x29000000 - 0x29018fff libxpcom_compat.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libxpcom_compat.dylib
0x2c000000 - 0x2c087fff libxpcom_core.dylib 	/Volumes/Apps/Internet/Firefox.app/Contents/MacOS/libxpcom_core.dylib
0x73230000 - 0x73233fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x76c02000 - 0x76c12fff com.apple.Accelerate.vecLib 3.0.3 (vecLib 3.0.3)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x80830000 - 0x8090efff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x80a50000 - 0x80ad4fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x80c80000 - 0x80c88fff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x880f0000 - 0x88226fff com.apple.vImage 1.0.0 (1.2.0)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x8fc90000 - 0x8fc90fff com.apple.Accelerate 1.0.3 (Accelerate 1.0.3)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x8fe00000 - 0x8fe4ffff dyld 	/usr/lib/dyld
0x90000000 - 0x9014ffff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x901c0000 - 0x9026efff com.apple.CoreFoundation 6.3.9 (299.37)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x902b0000 - 0x90529fff com.apple.CoreServices.CarbonCore 10.3.7	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x905a0000 - 0x90610fff com.apple.framework.IOKit 1.3.6 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90640000 - 0x906c8fff com.apple.CoreServices.OSServices 3.0.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x907f0000 - 0x907f9fff com.apple.DiskArbitration 2.0.5	/System/Library/PrivateFrameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x90810000 - 0x90810fff com.apple.ApplicationServices 1.0 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x90812000 - 0x9084afff com.apple.LaunchServices 10.3.5 (98.4)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x90860000 - 0x908cffff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90940000 - 0x909b3fff com.apple.DesktopServices 1.2.5	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x909f0000 - 0x90a00fff com.apple.speech.recognition.framework 3.3	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x90a20000 - 0x90b7bfff com.apple.Foundation 6.3.8 (500.61)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x90c32000 - 0x90c42fff com.apple.ImageCapture 2.1.5	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x90d40000 - 0x90d40fff com.apple.Carbon 10.3 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x90d50000 - 0x90d6bfff com.apple.SystemConfiguration 1.7.1 (???)	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90d7c000 - 0x90d96fff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x90ec0000 - 0x90ec0fff com.apple.Cocoa 6.3 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x90ec2000 - 0x90f8afff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x9102d000 - 0x91047fff com.apple.openscripting 1.2.1 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x910e0000 - 0x91134fff com.apple.bom 1.2.8 (64.2)	/System/Library/PrivateFrameworks/Bom.framework/Versions/A/Bom
0x91141000 - 0x91141fff com.apple.CoreServices 10.3 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x912e0000 - 0x912f7fff com.apple.LangAnalysis 1.5.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x913a0000 - 0x9145ffff ColorSync 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x915e0000 - 0x91699fff com.apple.QD 3.4.72 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x916f0000 - 0x91728fff com.apple.AE 1.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91760000 - 0x917f3fff com.apple.print.framework.PrintCore 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91970000 - 0x919befff com.apple.print.framework.Print 3.3	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x91a40000 - 0x91ab3fff com.apple.NavigationServices 3.3.3	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x91b30000 - 0x91b44fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x91b60000 - 0x91b6bfff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x91b90000 - 0x91baafff libPDFRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPDFRIP.A.dylib
0x91bd0000 - 0x91bdffff libPSRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPSRIP.A.dylib
0x91c00000 - 0x91c13fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x92070000 - 0x92096fff com.apple.FindByContent 1.4 (1.2)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x92170000 - 0x92357fff com.apple.security 2.4 (179)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x927f0000 - 0x92827fff com.apple.CFNetwork 1.2.4 (71.11)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x9283f000 - 0x92857fff com.apple.WebServices 1.1.1 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x92880000 - 0x92c05fff com.apple.HIToolbox 1.3.7 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92de0000 - 0x92e30fff com.apple.HIServices 1.4.1 (0.0.1d1)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x92e70000 - 0x9336ffff com.apple.AppKit 6.3.11 (743.43)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93680000 - 0x93958fff com.apple.CoreGraphics 1.203.30 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x939d0000 - 0x939d4fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x939e8000 - 0x939f3fff com.apple.securityhi 1.2 (90)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93a50000 - 0x93a64fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x93a6a000 - 0x93a6afff com.apple.audio.units.AudioUnit 1.3.3	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x93bec000 - 0x93c59fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x94580000 - 0x9458cfff com.apple.help 1.0.1	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x94596000 - 0x945a3fff com.apple.CommonPanels 1.2.1 (1.0)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x945b0000 - 0x945b9fff libz.1.dylib 	/usr/lib/libz.1.dylib
0x94650000 - 0x946affff com.apple.SearchKit 1.0.2	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x946ed000 - 0x94700fff com.apple.speech.synthesis.framework 3.2	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x94800000 - 0x9488cfff com.apple.ink.framework 101.1.4 (55.12)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x952c9000 - 0x95381fff com.apple.audio.toolbox.AudioToolbox 1.3.4	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x954c0000 - 0x95ac6fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x95b20000 - 0x95df0fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x95f00000 - 0x95f20fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x96178000 - 0x96195fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x968d0000 - 0x969b2fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x96aa0000 - 0x96acefff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x96b50000 - 0x96bdffff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x96c00000 - 0x96c67fff com.apple.audio.CoreAudio 2.1.3	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x96cb0000 - 0x96d9efff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x96de0000 - 0x96df0fff com.apple.vecLib 3.0.3 (vecLib 3.0.3)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x96ee0000 - 0x96ee8fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x97345000 - 0x973aefff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x973df000 - 0x976aefff com.apple.QuickTime 7.1.3	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
Dupe of bug 315966, which apparently didn't make it into the 1.8 branch (Firefox 2).
Component: Bookmarks → ImageLib
Keywords: crash
Product: Firefox → Core
QA Contact: bookmarks → imagelib
Summary: Firefox crashes whenever I try to open the Bookmarks Menu → Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo]
Version: unspecified → 1.8 Branch

*** This bug has been marked as a duplicate of 315966 ***
Status: UNCONFIRMED → RESOLVED
Closed: 16 years ago
Resolution: --- → DUPLICATE
That bug's fix didn't make the branch because that bug didn't make the branch, it was a trunk-only regression in imgContainerGIF
Status: RESOLVED → UNCONFIRMED
Resolution: DUPLICATE → ---
For goodness sake guys!! Please get this one sorted. It's driving me mad. Happens time and time again now. Seems to be getting increasingly frequent and it's really annoying. Getting to the point where it renders Firefox unusable.

Safari is not the same (by a long way!) but at least it works.
Judging from the Apple crash reports, this crash seems specific to OS X 10.3.
Status: UNCONFIRMED → NEW
Ever confirmed: true
Summary: Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo] → Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo] [@ imgRequestProxy::OnStopFrame]
Summary: Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo] [@ imgRequestProxy::OnStopFrame] → [10.3]Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo] [@ imgRequestProxy::OnStopFrame]
Timeless, is following stack similar to this bug or shall I file a new bug about my crash?

Crash id: bp-84a5c2c5-0da3-11dd-bb27-001cc45a2c28

0  	libobjc.A.dylib  	objc_msgSend  	
1 	XUL 	imgRequestProxy::OnStopFrame 	mozilla/modules/libpr0n/src/imgRequestProxy.cpp:452
2 	XUL 	imgRequest::NotifyProxyListener 	mozilla/modules/libpr0n/src/imgRequest.cpp:237
3 	XUL 	imgCacheValidator::OnStartRequest 	mozilla/modules/libpr0n/src/imgLoader.cpp:930
4 	XUL 	nsHttpChannel::DoNotifyListener 	mozilla/netwerk/protocol/http/src/nsHttpChannel.cpp:384
5 	XUL 	nsHttpChannel::HandleAsyncNotModified 	mozilla/netwerk/protocol/http/src/nsHttpChannel.cpp:451
dunno
Summary: [10.3]Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo] [@ imgRequestProxy::OnStopFrame] → [10.3]Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo - imgRequestProxy::OnStopFrame]
(In reply to comment #8)

It depends on what triggered your crash.

If it happened opening the Help menu on OS X 10.5.X, your crash
belongs with bug 426499.

But if it had some other trigger (like opening the Bookmarks menu),
perhaps it belongs here.

In either case, there does seem to be some underlying (and possibly
very old) problem with menu icons (in whose code this crash happens).
See bug 426499 comment #53 and following comments.

Ultimately, though, the menu-icons-crashes problem should get its own
bug ... once we understand it better.
I get the crash again today while clicking rapidly on the Bookmarks Menu item while Firefox was loading a Java applet and hangs for a while. Here the steps:

1. Open http://www.fc-prints.de/ausbelichtung/formate-preise.html
2. click the link "im Browser" within the 2nd sidebar on the left
3. Click on the Bookmarks Menu during initialization => crash?
4. Click ok to trust the certificate
5. Now Firefox hangs while loading the applet - rapidly click on the menu item

This triggered following crash for me: bp-5ccf295c-12b2-11dd-bf50-001321b13766

0  	libobjc.A.dylib  	objc_msgSend  	
1 	XUL 	imgRequestProxy::OnStopFrame 	mozilla/modules/libpr0n/src/imgRequestProxy.cpp:452
2 	XUL 	imgRequest::OnStopFrame 	mozilla/modules/libpr0n/src/imgRequest.cpp:527
3 	XUL 	nsPNGDecoder::EndImageFrame 	mozilla/modules/libpr0n/decoders/png/nsPNGDecoder.cpp:198
4 	XUL 	end_callback 	mozilla/modules/libpr0n/decoders/png/nsPNGDecoder.cpp:851
5 	XUL 	MOZ_PNG_push_read_chunk 	mozilla/modules/libimg/png/pngpread.c:344

Hardware: Macintosh → All
Summary: [10.3]Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo - imgRequestProxy::OnStopFrame] → Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo - imgRequestProxy::OnStopFrame]
Version: 1.8 Branch → Trunk
FWIW but I've seen bug 402798 before the crash happened. No idea if it is related to this problem. Now I cannot reproduce it with the given steps.
Henrik, I don't completely understand your STR from comment #11.

> 3. Click on the Bookmarks Menu during initialization => crash?

Does that mean you sometimes crash during this step?  (Or that you did
once and can't reproduce it?)  If the crash _is_ reproducible, is is
the same one?

> 5. Now Firefox hangs while loading the applet - rapidly click on the
>    menu item

What do you mean by "rapidly click on the menu item"?  Which "menu
item", where?

In any case, I didn't crash (or see any other problems) while
attempting to follow your STR.  I tested with today's Minefield
nightly on OS X 10.5.2.
> Which "menu item", where?

This must be the "Bookmarks Menu item" you mention in the first line
of your comment.  But what exactly is that?
Steven, yes I meant the Bookmarks Menu. While the applet was loading I clicked several times on it. Due to the browser hangs nothing happened. But after it was finally loaded it looks like that the queued events were processed and Firefox crashed immediately. It was a one time crash and I'm not able to reproduce it.
is problem gone?

no crashes in last two weeks have top frame of CGImageGetAlphaInfo.
3 have a top frame of imgRequestProxy::OnStopFrame - all with uptime of 0 or 1.

http://crash-stats.mozilla.com/report/index/af1d33c5-ae9e-11dd-bbaf-001a4bd43ef6
http://crash-stats.mozilla.com/report/index/ade377fd-ae9e-11dd-a7bf-001cc4e2bf68
http://crash-stats.mozilla.com/report/index/61bcfc5c-ae9e-11dd-b45e-001321b13766
2008-11-09 12:41  	Firefox	3.0.3	2008092417	Windows NT 5.1.2600 Service Pack 3	x86	EXCEPTION_ILLEGAL_INSTRUCTION	0x604dbabc	0
2008-11-09 12:41 	Firefox	3.0.3	2008092417	Windows NT 5.1.2600 Service Pack 3	x86	EXCEPTION_ILLEGAL_INSTRUCTION	0x604dbabc	1
2008-11-09 12:40 	Firefox	3.0.3	2008092417	Windows NT 5.1.2600 Service Pack 3	x86	1
Every time I try and click on my bookmarks 'menu' at the top of the screen firefox proceeds to crash as described by others- this is a persistent problem for me and happens every time I try and click the bookmarks menu not just occasionally. 

963dabab-6229-4341-9045-8ab202090411	4/11/09	11:51 PM
http://crash-stats.mozilla.com/report/index/963dabab-6229-4341-9045-8ab202090411
Possibly solved by bug 417558? 
It seems that bug 417558 is not included in an official release yet (eg 3.0.8), but only applied to the trunk.
(In reply to comment #18)
> Possibly solved by bug 417558? 
> It seems that bug 417558 is not included in an official release yet (eg 3.0.8),
> but only applied to the trunk.

No, it has been landed last year before Firefox3b4 was shipped. So if the crash is still present for Firefox 3.0.x it hasn't been fixed by the patch on bug 417558
Are you guys still seeing these crashes in Firefox 3.5?  When I searched crash-stats for nsMenuItemIconX, I found it to be the #11 topcrash for Firefox 3.0.x but not a single incident for Firefox 3.5.

This entire bug might be a duplicate of bug 499600.
Keywords: topcrash
Summary: Firefox crashes whenever I try to open the Bookmarks Menu [@ CGImageGetAlphaInfo - imgRequestProxy::OnStopFrame] → Firefox crashes whenever I try to open the Bookmarks Menu [@ nsObjCExceptionLogAbort | nsMenuItemIconX::OnStopFrame]
Whiteboard: [needs info from victims]
That crash has been fixed on trunk by the patch on bug 499600. Marking resolved. Further no more crashes with this stack are listed by Soccorro anymore.
Status: NEW → RESOLVED
Closed: 16 years ago14 years ago
Depends on: 499600
Resolution: --- → FIXED
Crash Signature: [@ nsObjCExceptionLogAbort | nsMenuItemIconX::OnStopFrame]
You need to log in before you can comment on or make changes to this bug.